#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.edit_pengalaman'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
	#{notifMigrasiSikap /}
     #{alert /}  
    #{form @rekanan.PengalamanCtr.simpan(), method:'POST'}
	 #{if pengalaman.pgn_id != NULL}<input type="hidden" name="pengalaman.pgn_id" value="${pengalaman.pgn_id}" />#{/if}
   	
   	 <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Nama Kontrak <span class="warning">*</span></label>
	    <div class="col-lg-10 ">
	       <textarea cols="60" rows="4" name="pengalaman.pgl_kegiatan" maxlength=300 class="form-control #{validate 'pengalaman.pgl_kegiatan'/}">${pengalaman?.pgl_kegiatan}</textarea>
	    	 <div class="invalid-feedback">#{error 'pengalaman.pgl_kegiatan' /}</div>
	    </div>
	  </div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Lokasi <span class="warning">*</span></label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control #{validate 'pengalaman.pgl_lokasi'/}" size="70" maxlength=40 name="pengalaman.pgl_lokasi" value="${pengalaman?.pgl_lokasi}">
	       <div class="invalid-feedback">#{error 'pengalaman.pgl_lokasi' /}</div>
	    </div>
	  </div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Instansi <span class="warning">*</span></label>
	    <div class="col-lg-10 ">
	      <input type="text" class="form-control #{validate 'pengalaman.pgl_pembtgs'/}" size="70" maxlength=80 name="pengalaman.pgl_pembtgs" value="${pengalaman?.pgl_pembtgs}">
	       <div class="invalid-feedback">#{error 'pengalaman.pgl_pembtgs' /}</div>
	    </div>
	  </div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Alamat</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" size="70" maxlength=100 name="pengalaman.pgl_almtpembtgs" value="${pengalaman?.pgl_almtpembtgs}">
	    </div>
	  </div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">No. Telepon</label>
	    <div class="col-lg-10">
	      <input type="text" class="form-control" size="70" maxlength=20 name="pengalaman.pgl_telppembtgs" value="${pengalaman?.pgl_telppembtgs}">
	    </div>
	  </div>
	  <div class="row">
		  <div class="col-md-6">
		  	<div class="form-group row">
			    <label class="col-lg-4 col-form-label">Nomor Kontrak</label>
			    <div class="col-lg-8">
			      <input type="text" class="form-control" size="25" maxlength=40 name="pengalaman.pgl_nokontrak" value="${pengalaman?.pgl_nokontrak}">
			    </div>
			 </div>
			  <div class="input-daterange">
				  <div class="form-group row">
					  <label class="col-lg-4 col-form-label">Tanggal Pelaksanaan</label>
					  <div class="col-lg-5">
						  <div class="input-group date datepicker">
							  <input name="pengalaman.pgl_tglkontrak" type="text" value="${pengalaman?.pgl_tglkontrak?.toDatepicker()}"
									 class="form-control datepicker " id="startdate" />
							  <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						  </div>
					  </div>
				  </div>
				  <div class="form-group row">
					  <label class="col-lg-4 col-form-label">Selesai Kontrak</label>
					  <div class="col-lg-5">
						  <div class="input-group date datepicker" >
							  <input name="pengalaman.pgl_slskontrak" type="text" value="${pengalaman?.pgl_slskontrak?.toDatepicker()}"  class="form-control datepicker " id="enddate"/>
							  <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						  </div>
					  </div>
				  </div>
			  </div>
		  </div>
		  <div class="col-md-6">
		  	<div class="form-group row">
			    <label class="col-lg-5 col-form-label">Nilai Kontrak <span class="warning">*</span></label>
			    <div class="col-lg-7 ">
			      <input type="text" class="form-control #{validate 'pengalaman.pgl_nilai'/}" size="25" name="pengalaman.pgl_nilai" value="${pengalaman?.pgl_nilai?.rupiah()}">
			       <div class="invalid-feedback">#{error 'pengalaman.pgl_nilai' /}</div>
			    </div>
			 </div>
			 <div class="form-group row">
			    <label class="col-lg-5 col-form-label">Persentase Pelaksanaan <span class="warning">**</span></label>
			    <div class="col-lg-7 ">
			      <div class="input-group width-normal">
                        <input type="text" class="form-control #{validate 'pengalaman.pgl_persenprogress'/}" maxlength="6" name="pengalaman.pgl_persenprogress" value="${pengalaman?.pgl_persenprogress}" />
					  	<div class="input-group-append" ><span class="input-group-text">%</span></div>
					  	<div class="invalid-feedback">#{error 'pengalaman.pgl_persenprogress' /}</div>
                    </div>
			    </div>
			 </div>
			 <div class="form-group row">
			    <label class="col-lg-5 col-form-label">Tanggal Serah Terima</label>
			    <div class="col-lg-5">
			      <div class="input-group date datepicker" >
                    <input name="pengalaman.pgl_slsba" type="text" value="${pengalaman?.pgl_slsba?.toDatepicker()}"
						   class="form-control datepicker #{validate 'pengalaman.pgl_slsba'/}"/>
					  <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
					  <div class="invalid-feedback">#{error 'pengalaman.pgl_slsba' /}</div>
                  </div>
			    </div>
			 </div>
		  </div>
	  </div>
	  <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Keterangan</label>
	    <div class="col-lg-10">
	    	<textarea name="pengalaman.pgl_keterangan" cols="60" rows="4" class="form-control">${pengalaman?.pgl_keterangan}</textarea>
	    </div>
	  </div>	
      <div class="form-group row">
    		<div class="col-lg-offset-2 col-lg-10"> 
       		#{if active_user.canEditDataPenyedia} #{saveButton /} #{/if}
        	#{backButton action:@rekanan.PengalamanCtr.list()/}
        	</div>
       </div>       
	#{/form}
	<div class="bs-callout bs-callout-warning">
     	<span class="warning">*</span> Data ini wajib diisi.<br />
       <span class="warning">**</span> Jika persentase pelaksanaan bernilai kurang dari 100 maka sistem akan menganggap sebagai pekerjaan sedang berjalan.
     </div>  
</div>

#{set 'custom_script'}
#{if !active_user.canEditDataPenyedia}
<script type="text/javascript">
$(document).ready(function(){
	$("form input").attr('disabled','disabled');
	$("form textarea").attr('disabled','disabled');
	$("form select").attr('disabled','disabled');
	$("form button.btn-simpan").attr('disabled','disabled');
	$(".btn-hapus").attr('disabled','disabled');
	$(".btn-tambah").attr('disabled','disabled');
	$(".removeBtn").hide();
})
</script>
	#{/if}
#{/set}